{% extends "layouts/base.njk" %}
{% import "components/nav/breadcrumb.njk" as breadcrumb %}
{% import "components/page-header.njk" as pageHeader %}
{% import "components/text-picture.njk" as textPicture %}

{% block title %}Text &amp; Picture | Whitelabel{% endblock %}

{% block main %}

  {% call breadcrumb.list() %}
    {{ breadcrumb.item('Home', '/') }}
    {{ breadcrumb.item('CMS Components', '/cms-components.html') }}
    {{ breadcrumb.activeItem('Text & Picture') }}
  {% endcall %}

  {{ pageHeader.element(title = 'Text & Picture', lead = 'Documentation and examples for whitelabel typography, including global settings, headings, body text, lists, and more.' ) }}

  {% call textPicture.textOnly({title: 'Text Only Variant', ctaUrl: '/', ctaText: 'Click here'}) %}
    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris euismod tincidunt est ut efficitur. Pellentesque pulvinar metus ultricies sapien eleifend, eget pharetra odio posuere. Donec vel lorem.</p>
    <p>Integer consectetur magna ac ex ultricies, nec viverra felis ultrices. Nunc malesuada libero eget mauris pellentesque ornare. Vestibulum lacinia consectetur dignissim.</p>
  {% endcall %}

  {% call textPicture.pictureOnly({picture_src: 'http://via.placeholder.com/1200x400', picture_comment: 'Picture Only Variant'}) %}
  {% endcall %}

  {% call textPicture.textLeftPictureRight({title: 'Text Left Picture Right', picture_src: 'http://via.placeholder.com/768x480'}) %}
    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris euismod tincidunt est ut efficitur. Pellentesque pulvinar metus ultricies sapien eleifend, eget pharetra odio posuere. Donec vel lorem.</p>
    <p>Integer consectetur magna ac ex ultricies, nec viverra felis ultrices. Nunc malesuada libero eget mauris pellentesque ornare. Vestibulum lacinia consectetur dignissim.</p>
  {% endcall %}

  {% call textPicture.textRightPictureLeft({title: 'Text Right Picture Left', picture_src: 'http://via.placeholder.com/768x480'}) %}
    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris euismod tincidunt est ut efficitur. Pellentesque pulvinar metus ultricies sapien eleifend, eget pharetra odio posuere. Donec vel lorem.</p>
    <p>Integer consectetur magna ac ex ultricies, nec viverra felis ultrices. Nunc malesuada libero eget mauris pellentesque ornare. Vestibulum lacinia consectetur dignissim.</p>
  {% endcall %}

{% endblock %}

